diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
index b7ce4ab7..32ffadb4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
@@ -14,8 +14,8 @@ define('pgadmin.node.foreign_server', [
 
         // Defining schema for the Options model
         schema: [
-          {id: 'fsrvoption', label:'Options', type:'text', cellHeaderClasses:'width_percent_50', group: null, editable: true},
-          {id: 'fsrvvalue', label:'Value', type: 'text', cellHeaderClasses:'width_percent_50', group:null, editable: true},
+          {id: 'fsrvoption', label: gettext('Options'), type:'text', cellHeaderClasses:'width_percent_50', group: null, editable: true},
+          {id: 'fsrvvalue', label: gettext('Value'), type: 'text', cellHeaderClasses:'width_percent_50', group:null, editable: true},
         ],
 
         /* validate function is used to validate the input given by
@@ -144,12 +144,12 @@ define('pgadmin.node.foreign_server', [
           id: 'description', label: gettext('Comment'), cell: 'string',
           type: 'multiline'
         },{
-          id: 'fsrvoptions', label: 'Options', type: 'collection', group: gettext("Options"),
+          id: 'fsrvoptions', label: gettext('Options'), type: 'collection', group: gettext("Options"),
           model: OptionsModel, control: 'unique-col-collection', mode: ['edit', 'create'],
           canAdd: true, canDelete: true, uniqueCol : ['fsrvoption'],
           columns: ['fsrvoption','fsrvvalue']
          }, pgBrowser.SecurityGroupSchema, {
-            id: 'fsrvacl', label: 'Privileges', type: 'collection', group: 'security',
+            id: 'fsrvacl', label: gettext('Privileges'), type: 'collection', group: 'security',
             model: pgAdmin.Browser.Node.PrivilegeRoleModel.extend({privileges: ['U']}), control: 'unique-col-collection',
             mode: ['edit', 'create'], canAdd: true, canDelete: true, uniqueCol : ['grantee']
          },{
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js
index 91dc21a3..7a0388b4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js
@@ -133,7 +133,7 @@ define('pgadmin.node.user_mapping', [
           id: 'um_oid', label: gettext('OID'), cell: 'string',
           type: 'text', disabled: true, mode: ['properties'],
         },{
-          id: 'umoptions', label: 'Options', type: 'collection', group: gettext("Options"),
+          id: 'umoptions', label: gettext('Options'), type: 'collection', group: gettext("Options"),
           model: OptionsModel, control: 'unique-col-collection', mode: ['create', 'edit'],
           canAdd: true, canDelete: true, uniqueCol : ['umoption']
         }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js
index 35fb7bcd..ef9d617a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js
@@ -143,7 +143,7 @@ define('pgadmin.node.foreign_data_wrapper', [
           id: 'description', label: gettext('Comment'), cell: 'string',
           type: 'multiline'
         },{
-          id: 'fdwoptions', label: 'Options', type: 'collection', group: gettext('Options'),
+          id: 'fdwoptions', label: gettext('Options'), type: 'collection', group: gettext('Options'),
           model: OptionsModel, control: 'unique-col-collection', mode: ['edit', 'create'],
           canAdd: true, canDelete: true, uniqueCol : ['fdwoption'],
           columns: ['fdwoption','fdwvalue']
@@ -153,7 +153,7 @@ define('pgadmin.node.foreign_data_wrapper', [
         },{
           id: 'security', label: gettext('Security'), type: 'group'
         },{
-            id: 'fdwacl', label: 'Privileges', type: 'collection',
+            id: 'fdwacl', label: gettext('Privileges'), type: 'collection',
             group: 'security', mode: ['edit', 'create'], canAdd: true,
             canDelete: true, uniqueCol : ['grantee'],
             model: pgBrowser.Node.PrivilegeRoleModel.extend({
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
index 4d9a9f6c..a7ed1546 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
@@ -46,9 +46,9 @@ define('pgadmin.node.foreign_table', [
       value: undefined
     },
     schema: [
-      {id: 'option', label:'Option', type:'text', editable: true, cellHeaderClasses: 'width_percent_30'},
+      {id: 'option', label: gettext('Option'), type:'text', editable: true, cellHeaderClasses: 'width_percent_30'},
       {
-        id: 'value', label:'Value', type: 'text', editable: true, cellHeaderClasses: 'width_percent_50'
+        id: 'value', label: gettext('Value'), type: 'text', editable: true, cellHeaderClasses: 'width_percent_50'
       }
     ],
     validate: function() {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
index 9dd1033b..9bda9cea 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
@@ -13,11 +13,11 @@ define('pgadmin.node.fts_configuration', [
         keys: ['token'],
         // Define the schema for the token/dictionary list
         schema: [{
-          id: 'token', label:'Token', type:'text', group: null,
+          id: 'token', label: gettext('Token'), type:'text', group: null,
           cellHeaderClasses:'width_percent_50',
           editable: false, cell: 'string', url: 'tokens'
         },{
-          id: 'dictname', label: 'Dictionaries', type: 'text', group:null,
+          id: 'dictname', label: gettext('Dictionaries'), type: 'text', group:null,
           cellHeaderClasses:'width_percent_50', editable: true,
           cell:Backgrid.Extension.MultiSelectAjaxCell, url: 'dictionaries'
         }],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
index 82a6efa7..5648f694 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
@@ -148,8 +148,8 @@ define('pgadmin.node.trigger_function', [
           disabled: 'isDisabled', first_empty: true,
           select2: { width: "100%", allowClear: false },
           mode: ['create'], visible: 'isVisible', options: [
-            {label: 'trigger', value: 'trigger'},
-            {label: 'event_trigger', value: 'event_trigger'}
+            {label: gettext('trigger'), value: 'trigger'},
+            {label: gettext('event_trigger'), value: 'event_trigger'}
           ]
         },{
           id: 'prorettypename', label: gettext('Return type'), cell: 'string',
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js
index d5a5be76..8c0fcf1a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/static/js/column.js
@@ -549,13 +549,13 @@ define('pgadmin.node.column', [
           type: 'multiline', mode: ['properties', 'create', 'edit'],
           disabled: 'notInSchema'
         },{
-          id: 'attoptions', label: 'Variables', type: 'collection',
+          id: 'attoptions', label: gettext('Variables'), type: 'collection',
           group: gettext('Variables'), control: 'unique-col-collection',
           model: VariablesModel, uniqueCol : ['name'],
           mode: ['edit', 'create'], canAdd: true, canEdit: false,
           canDelete: true
         }, pgBrowser.SecurityGroupSchema, {
-          id: 'attacl', label: 'Privileges', type: 'collection',
+          id: 'attacl', label: gettext('Privileges'), type: 'collection',
           group: 'security', control: 'unique-col-collection',
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
           privileges: ['a','r','w','x']}),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index fc56c47d..eabd8689 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -38,11 +38,11 @@ define('pgadmin.node.foreign_key', [
       referenced: undefined
     },
     schema: [{
-        id: 'local_column', label:'Local', type:'text', editable: false,
+        id: 'local_column', label: gettext('Local'), type:'text', editable: false,
         cellHeaderClasses: 'width_percent_50', cell:'string',
         headerCell: Backgrid.Extension.CustomHeaderCell
       },{
-        id: 'referenced', label:'Referenced', type: 'text', editable: false,
+        id: 'referenced', label: gettext('Referenced'), type: 'text', editable: false,
         cell:'string', cellHeaderClasses: 'width_percent_50',
         headerCell: Backgrid.Extension.CustomHeaderCell
       }]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
index 41d8a70d..f0ce19be 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
@@ -363,7 +363,7 @@ define('pgadmin.node.index', [
           type: 'text', disabled: 'inSchemaWithModelCheck', mode: ['create', 'edit'],
           control: 'sql-field', visible: true, group: gettext('Definition')
         },{
-          id: 'columns', label: 'Columns', type: 'collection', deps: ['amname'],
+          id: 'columns', label: gettext('Columns'), type: 'collection', deps: ['amname'],
           group: gettext('Definition'), model: ColumnModel, mode: ['edit', 'create'],
           canAdd: function(m) {
             // We will disable it if it's in 'edit' mode
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index cab2d824..12e31799 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -822,9 +822,9 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
           editable: false, type: 'select2', select2: {allowClear: false},
           group: 'partition', deps: ['is_partitioned'],
           options:[{
-            label: 'Range', value: 'range'
+            label: gettext('Range'), value: 'range'
           },{
-            label: 'List', value: 'list'
+            label: gettext('List'), value: 'list'
           }],
           mode:['create'],
           visible: function(m) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
index 080118a9..2a1c0565 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
@@ -64,13 +64,13 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
      },
      keys:['pt_column'],
      schema: [{
-       id: 'key_type', label:'Key type', type:'select2', editable: true,
+       id: 'key_type', label: gettext('Key type'), type:'select2', editable: true,
        cell:'select2', cellHeaderClasses: 'width_percent_25',
        select2: {allowClear: false},
        options:[{
-         label: 'Column', value: 'column'
+         label: gettext('Column'), value: 'column'
        },{
-         label: 'Expression', value: 'expression'
+         label: gettext('Expression'), value: 'expression'
        }]
      },{
        id: 'pt_column', label: gettext('Column'), type:'text',
@@ -179,7 +179,7 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
          return true;
        }
      },{
-       id: 'expression', label:'Expression', type:'text',
+       id: 'expression', label: gettext('Expression'), type:'text',
        cell:Backgrid.Extension.StringDepCell,
        cellHeaderClasses: 'width_percent_45',
        deps: ['key_type'],
@@ -258,7 +258,7 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
         return false;
       }, cellFunction: getPartitionCell
     },{
-      id: 'values_from', label:'From', type:'text',
+      id: 'values_from', label: gettext('From'), type:'text',
       cell:Backgrid.Extension.StringDepCell,
       cellHeaderClasses: 'width_percent_20',
       editable: function(m) {
@@ -270,7 +270,7 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
        return false;
       }
     },{
-      id: 'values_to', label:'To', type:'text',
+      id: 'values_to', label: gettext('To'), type:'text',
       cell:Backgrid.Extension.StringDepCell,
       cellHeaderClasses: 'width_percent_20',
       editable: function(m) {
@@ -282,7 +282,7 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
         return false;
       }
     },{
-      id: 'values_in', label:'In', type:'text',
+      id: 'values_in', label: gettext('In'), type:'text',
       cell:Backgrid.Extension.StringDepCell,
       cellHeaderClasses: 'width_percent_25',
       editable: function(m) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 2fbdb304..fd2780c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -824,9 +824,9 @@ define('pgadmin.node.table', [
           editable: false, type: 'select2', select2: {allowClear: false},
           group: 'partition', deps: ['is_partitioned'],
           options:[{
-            label: 'Range', value: 'range'
+            label: gettext('Range'), value: 'range'
           },{
-            label: 'List', value: 'list'
+            label: gettext('List'), value: 'list'
           }],
           mode:['create'],
           visible: function(m) {
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/privilege.js b/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
index 5c0e3323..54652080 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
@@ -48,7 +48,7 @@ define(['sources/gettext', 'underscore', 'jquery', 'backbone', 'backform',
      */
     privileges:[],
     schema: [{
-      id: 'grantee', label:'Grantee', type:'text', group: null,
+      id: 'grantee', label: gettext('Grantee'), type:'text', group: null,
       editable: true, cellHeaderClasses: 'width_percent_40',
       node: 'role',
       disabled : function(m) {
@@ -146,7 +146,7 @@ define(['sources/gettext', 'underscore', 'jquery', 'backbone', 'backform',
         }
       }),
     },{
-      id: 'privileges', label:'Privileges',
+      id: 'privileges', label: gettext('Privileges'),
       type: 'collection', model: PrivilegeModel, group: null,
       cell: 'privilege', control: 'text', cellHeaderClasses: 'width_percent_40',
       disabled : function(column, collection) {
@@ -158,7 +158,7 @@ define(['sources/gettext', 'underscore', 'jquery', 'backbone', 'backform',
                 this.attributes.node_info.server.user.name == column.get('grantor'));
       }
     },{
-      id: 'grantor', label: 'Grantor', type: 'text', disabled: true,
+      id: 'grantor', label: gettext('Grantor'), type: 'text', disabled: true,
       cell: 'node-list-by-name', node: 'role'
     }],
 
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 45c03565..692adb1f 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -691,12 +691,12 @@ define('pgadmin.node.server', [
           id: 'sslmode', label: gettext('SSL mode'), type: 'options', group: gettext('SSL'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
           'options': [
-            {label: 'Allow', value: 'allow'},
-            {label: 'Prefer', value: 'prefer'},
-            {label: 'Require', value: 'require'},
-            {label: 'Disable', value: 'disable'},
-            {label: 'Verify-CA', value: 'verify-ca'},
-            {label: 'Verify-Full', value: 'verify-full'}
+            {label: gettext('Allow'), value: 'allow'},
+            {label: gettext('Prefer'), value: 'prefer'},
+            {label: gettext('Require'), value: 'require'},
+            {label: gettext('Disable'), value: 'disable'},
+            {label: gettext('Verify-CA'), value: 'verify-ca'},
+            {label: gettext('Verify-Full'), value: 'verify-full'}
           ]
         },{
           id: 'sslcert', label: gettext('Client certificate'), type: 'text',
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index 28d490d3..7c4206fb 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -131,7 +131,7 @@ define([
     },
     schema: [
       {
-        id: 'name', label:'Name', type:'text', cellHeaderClasses: 'width_percent_30',
+        id: 'name', label: gettext('Name'), type:'text', cellHeaderClasses: 'width_percent_30',
         editable: function(m) {
           return (m instanceof Backbone.Collection) ? true : m.isNew();
         },
@@ -170,13 +170,13 @@ define([
         }
       },
       {
-        id: 'value', label:'Value', type: 'text', editable: true,
+        id: 'value', label: gettext('Value'), type: 'text', editable: true,
         cellFunction: cellFunction, cellHeaderClasses: 'width_percent_40'
       },
-      {id: 'database', label:'Database', type: 'text', editable: true,
+      {id: 'database', label: gettext('Database'), type: 'text', editable: true,
       node: 'database', cell: Backgrid.Extension.NodeListByNameCell
       },
-      {id: 'role', label:'Role', type: 'text', editable: true,
+      {id: 'role', label: gettext('Role'), type: 'text', editable: true,
       node: 'role', cell: Backgrid.Extension.NodeListByNameCell}
     ],
     toJSON: function() {
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index 49987a71..28bd11ec 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -114,10 +114,10 @@ define('pgadmin.node.tablespace', [
                   type: 'text', disabled: false, control: 'select2',
                   select2: { allowClear: false, width: "100%" },
                   options: [
-                    {label: "All", value: 'all'},
-                    {label: "Tables", value: 'tables'},
-                    {label: "Indexes", value: 'indexes'},
-                    {label: "Materialized views", value: 'materialized_views'},
+                    {label: gettext("All"), value: 'all'},
+                    {label: gettext("Tables"), value: 'tables'},
+                    {label: gettext("Indexes"), value: 'indexes'},
+                    {label: gettext("Materialized views"), value: 'materialized_views'},
                   ]
               },{
                   id: 'user', label: gettext('Object owner'),
diff --git a/web/pgadmin/misc/depends/static/js/depends.js b/web/pgadmin/misc/depends/static/js/depends.js
index 2ba50c88..1d8a393f 100644
--- a/web/pgadmin/misc/depends/static/js/depends.js
+++ b/web/pgadmin/misc/depends/static/js/depends.js
@@ -80,7 +80,7 @@ define('misc.depends', [
               columns: [
                 {
                   name : 'type',
-                  label: 'Type',
+                  label: gettext('Type'),
                   // Extend it to render the icon as per the type.
                   cell: Backgrid.Cell.extend({
                     render: function() {
@@ -93,7 +93,7 @@ define('misc.depends', [
                 },
                 {
                   name : 'name',
-                  label: 'Name',
+                  label: gettext('Name'),
                   cell: 'string',
                   editable: false
                 },
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index c4860e09..2c0a7640 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -809,7 +809,7 @@
             arrayValuesCol = this.model.get(this.column.get("name")),
             tbl = $("<table></table>").appendTo(this.$el),
             gridCols = [
-                    {name: 'value', label:'Array Values', type: 'text', cell:'string', headerCell: Backgrid.Extension.CustomHeaderIconCell, cellHeaderClasses: 'width_percent_100'},
+                    {name: 'value', label: gettext('Array Values'), type: 'text', cell:'string', headerCell: Backgrid.Extension.CustomHeaderIconCell, cellHeaderClasses: 'width_percent_100'},
                     ],
             gridBody = $("<div class='pgadmin-control-group backgrid form-group col-xs-12 object subnode'></div>");
 
diff --git a/web/pgadmin/tools/debugger/static/js/debugger_ui.js b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
index dffdd55f..efafe667 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger_ui.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
@@ -225,13 +225,13 @@ define([
 
             var def_val_list = [],
             gridCols = [
-              {name: 'name', label:'Name', type:'text', editable: false, cell:'string' },
-              {name: 'type', label:'Type', type: 'text', editable: false, cell:'string' },
-              {name: 'is_null', label:'Null?', type: 'boolean', cell: 'boolean' },
-              {name: 'expr', label:'Expression?', type: 'boolean', cellFunction: cellExprControlFunction, editable: disableExpressionControl },
-              {name: 'value', label:'Value', type: 'text', editable: true, cellFunction: cellFunction, headerCell: value_header },
-              {name: 'use_default', label:'Use Default?', type: 'boolean', cell:"boolean", editable: disableDefaultCell },
-              {name: 'default_value', label:'Default value', type: 'text', editable: false, cell:'string' }
+              {name: 'name', label: gettext('Name'), type:'text', editable: false, cell:'string' },
+              {name: 'type', label: gettext('Type'), type: 'text', editable: false, cell:'string' },
+              {name: 'is_null', label: gettext('Null?'), type: 'boolean', cell: 'boolean' },
+              {name: 'expr', label: gettext('Expression?'), type: 'boolean', cellFunction: cellExprControlFunction, editable: disableExpressionControl },
+              {name: 'value', label: gettext('Value'), type: 'text', editable: true, cellFunction: cellFunction, headerCell: value_header },
+              {name: 'use_default', label: gettext('Use Default?'), type: 'boolean', cell:"boolean", editable: disableDefaultCell },
+              {name: 'default_value', label: gettext('Default value'), type: 'text', editable: false, cell:'string' }
             ];
 
             var my_obj = [];
diff --git a/web/pgadmin/tools/debugger/static/js/direct.js b/web/pgadmin/tools/debugger/static/js/direct.js
index 33597a71..a5806d62 100644
--- a/web/pgadmin/tools/debugger/static/js/direct.js
+++ b/web/pgadmin/tools/debugger/static/js/direct.js
@@ -991,9 +991,9 @@ define([
         });
 
         var stackGridCols = [
-          {name: 'name', label:'Name', type:'text', editable: false, cell:'string'},
-          {name: 'value', label:'Value', type:'text', editable: false, cell:'string'},
-          {name: 'line_no', label:'Line No.', type:'text', editable: false, cell:'string'}
+          {name: 'name', label: gettext('Name'), type:'text', editable: false, cell:'string'},
+          {name: 'value', label: gettext('Value'), type:'text', editable: false, cell:'string'},
+          {name: 'line_no', label: gettext('Line No.'), type:'text', editable: false, cell:'string'}
         ];
 
         var my_obj = [];
@@ -1110,9 +1110,9 @@ define([
         });
 
         var gridCols = [
-          {name: 'name', label:'Name', type:'text', editable: false, cell:'string'},
-          {name: 'type', label:'Type', type: 'text', editable: false, cell:'string'},
-          {name: 'value', label:'Value', type: 'text', cell: 'string'}
+          {name: 'name', label: gettext('Name'), type:'text', editable: false, cell:'string'},
+          {name: 'type', label: gettext('Type'), type: 'text', editable: false, cell:'string'},
+          {name: 'value', label: gettext('Value'), type: 'text', cell: 'string'}
         ];
 
         var my_obj = [];
@@ -1164,9 +1164,9 @@ define([
         self.ParametersCollection.prototype.on('change', self.deposit_parameter_value, self);
 
         var paramGridCols = [
-          {name: 'name', label:'Name', type:'text', editable: false, cell:'string'},
-          {name: 'type', label:'Type', type: 'text', editable: false, cell:'string'},
-          {name: 'value', label:'Value', type: 'text', cell: 'string'}
+          {name: 'name', label: gettext('Name'), type:'text', editable: false, cell:'string'},
+          {name: 'type', label: gettext('Type'), type: 'text', editable: false, cell:'string'},
+          {name: 'value', label: gettext('Value'), type: 'text', cell: 'string'}
         ];
 
         var param_obj = [];
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index 9821d66f..61b0edab 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -103,7 +103,7 @@ define([
 
     },{
       name: "object_type",
-      label: "Object Type",
+      label: gettext("Object Type"),
       editable: false,
       cell: Backgrid.Cell.extend({
         render: function() {
@@ -117,12 +117,12 @@ define([
       })
     },{
       name: "nspname",
-      label: "Schema",
+      label: gettext("Schema"),
       cell: "string",
       editable: false
     },{
       name: "name_with_args",
-      label: "Name",
+      label: gettext("Name"),
       cell: "string",
       editable: false
     }];
